Skip to main content
GET
/
customdomains
List custom domains
curl --request GET \
  --url https://api.blaxel.ai/v0/customdomains \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "createdBy": "<string>",
      "updatedBy": "<string>",
      "displayName": "Preview Domain",
      "labels": {},
      "name": "preview.example.com",
      "workspace": "<string>"
    },
    "spec": {
      "cnameRecords": "<string>",
      "fallbackPreviewId": "my-fallback-preview",
      "lastVerifiedAt": "<string>",
      "region": "us-pdx-1",
      "status": "verified",
      "subdomains": [
        {
          "previewName": "<string>",
          "resourceName": "<string>",
          "resourceType": "<string>",
          "subdomain": "<string>",
          "url": "<string>"
        }
      ],
      "txtRecords": {},
      "verificationError": "<string>"
    }
  }
]

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Response

200 - application/json

successful operation

metadata
object
required

Custom domain metadata

spec
object
required

Custom domain specification

Last modified on June 11, 2026